# Uses of Class
jdk.jfr.consumer.RecordedThread

Packages that use RecordedThread
Package
Description
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

- ## Uses of RecordedThread in jdk.jfr.consumer

  Methods in jdk.jfr.consumer that return RecordedThread
  Modifier and Type
  Method
  Description
  `RecordedThread`
  RecordedEvent.`getThread()`
  Returns the thread from which the event was committed, or `null` if the thread was not recorded.
  `final RecordedThread`
  RecordedObject.`getThread(String name)`
  Returns the value of a field of type `Thread`.